Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface NetworkAccessPointMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface NetworkAccessPointMBean
extends ConfigurationMBean

A server can specifiy additional network connections by using a NetworkAccessPointMBean. The NetworkAccessPointMBean is also used to set the listen address and external DNS name that a server uses for a particular channel.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  7.0.0.0
See Also:
  `ServerMBean`, `ServerMBean.getNetworkAccessPoints()`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getAcceptBacklog()` The number of backlogged, new TCP connection requests that this network channel allows.
`int` | `getChannelWeight()` A weight to give this channel when creating server-to-server connections.
`String` | `getClusterAddress()` The address this network channel uses to generate EJB handles and failover addresses for use in a cluster.
`int` | `getCompleteMessageTimeout()` The maximum amount of time this network channel waits for a complete message to be received.
`int` | `getConnectTimeout()` The amount of time that this network channel should wait to establish an outbound socket connection before timing out.
`String` | `getCustomPrivateKeyAlias()` The string alias used to store and retrieve the channel's private key in the keystore.
`String` | `getCustomPrivateKeyPassPhrase()` The passphrase used to retrieve the server's private key from the keystore.
`byte[]` | `getCustomPrivateKeyPassPhraseEncrypted()` The encrypted form of passphrase used to retrieve the server's private key from the keystore.
`int` | `getIdleConnectionTimeout()` The maximum amount of time (in seconds) that a connection is allowed to be idle before it is closed by this network channel.
`String` | `getListenAddress()` The IP address or DNS name this network channel uses to listen for incoming connections.
`int` | `getListenPort()` The default TCP port this network channel uses to listen for regular (non-SSL) incoming connections.
`int` | `getLoginTimeoutMillis()` The amount of time that this network channel should wait for a connection before timing out.
`int` | `getMaxBackoffBetweenFailures()` The maximum back off time between failures while accepting client connections.
`int` | `getMaxConnectedClients()` The maximum number of clients that can be connected on this network channel.
`int` | `getMaxMessageSize()` The maximum message size allowable in a message header.
`String` | `getName()` The name of this network channel.
`String` | `getPrivateKeyAlias()` The string alias used to store and retrieve the channel's private key in the keystore.
`String` | `getPrivateKeyPassPhrase()` The passphrase used to retrieve the server's private key from the keystore.
`String` | `getProtocol()` The protocol this network channel should use for connections.
`String` | `getProxyAddress()` The IP address or DNS name of the HTTP proxy to use for outbound connections on this channel.
`int` | `getProxyPort()` The port of the HTTP proxy to use for outbound connections on this channel.
`String` | `getPublicAddress()` The IP address or DNS name representing the external identity of this network channel.
`int` | `getPublicPort()` The externally published listen port for this network channel.
`boolean` | `getTimeoutConnectionWithPendingResponses()` Determines if connections with pending responses are allowed to timeout.
`int` | `getTunnelingClientPingSecs()` The interval (in seconds) at which this network channel should ping an HTTP-tunneled client to see if its still alive.
`int` | `getTunnelingClientTimeoutSecs()` The amount of time (in seconds) after which this network channel considers a missing HTTP-tunneled client to be dead.
`boolean` | `getUseFastSerialization()` Specifies whether to use non-standard object serialization for performance.
`boolean` | `isChannelIdentityCustomized()` Whether or not the channel's custom identity should be used.
`boolean` | `isClientCertificateEnforced()` Specifies whether clients must present digital certificates from a trusted certificate authority to WebLogic Server on this channel.
`boolean` | `isEnabled()` Specifies whether this channel should be started.
`boolean` | `isHttpEnabledForThisProtocol()` Specifies whether HTTP traffic should be allowed over this network channel.
`boolean` | `isOutboundEnabled()` Specifies whether new server-to-server connections may consider this network channel when initiating a connection.
`boolean` | `isOutboundPrivateKeyEnabled()` Specifies whether the identity specifed by `getCustomPrivateKeyAlias()` should be used for outbound SSL connections on this channel.
`boolean` | `isTunnelingEnabled()` Specifies whether tunneling via HTTP should be enabled for this network channel.
`boolean` | `isTwoWaySSLEnabled()` Specifies whether this network channel uses two way SSL.
`void` | `setAcceptBacklog(int count)` Sets the value of the AcceptBacklog attribute.
`void` | `setChannelIdentityCustomized(boolean val)` Sets the value of the ChannelIdentityCustomized attribute.
`void` | `setChannelWeight(int weight)` Sets the value of the ChannelWeight attribute.
`void` | `setClientCertificateEnforced(boolean enforce)` Sets the value of the ClientCertificateEnabled attribute.
`void` | `setClusterAddress(String address)` Sets the value of the ClusterAddress attribute.
`void` | `setCompleteCOMMessageTimeout(int seconds)` Sets the value of the CompleteCOMMessageTimeout attribute.
`void` | `setCompleteHTTPMessageTimeout(int seconds)` Sets the value of the CompleteHTTPMessageTimeout attribute.
`void` | `setCompleteIIOPMessageTimeout(int seconds)` Sets the value of the CompleteIIOPMessageTimeout attribute.
`void` | `setCompleteMessageTimeout(int seconds)` Sets the value of the CompleteMessageTimeout attribute.
`void` | `setCompleteT3MessageTimeout(int seconds)` Sets the value of the CompleteT3MessageTimeout attribute.
`void` | `setConnectTimeout(int timeout)` Sets the value of the ConnectTimeout attribute.
`void` | `setCustomPrivateKeyAlias(String alias)` Sets the value of the PrivateKeyAlias attribute.
`void` | `setCustomPrivateKeyPassPhrase(String phrase)` Sets the value of the PrivateKeyPassPhrase attribute.
`void` | `setCustomPrivateKeyPassPhraseEncrypted(byte[] passwordEncrypted)` Sets the encrypted value of the PrivateKeyPassPhrase attribute.
`void` | `setEnabled(boolean enabled)` Sets the value of the Enabled attribute.
`void` | `setExternalDNSName(String externalDNSName)` Sets the value of the ExternalDNSName attribute.
`void` | `setHttpEnabledForThisProtocol(boolean enabled)` Sets the value of the HttpEnabledForThisProtocol attribute.
`void` | `setIdleConnectionTimeout(int seconds)` Sets the value of the IdleConnectionTimeout attribute.
`void` | `setIdleIIOPConnectionTimeout(int seconds)` Sets the value of the IdleIIOPConnectionTimeout attribute.
`void` | `setListenAddress(String address)` Sets the value of the ListenAddress attribute.
`void` | `setListenPort(int port)` Sets the value of the ListenPort attribute.
`void` | `setLoginTimeoutMillis(int timeout)` Sets the value of the LoginTimeoutMillis attribute.
`void` | `setLoginTimeoutMillisSSL(int millis)` Sets the value of the LoginTimeoutMillisSSL attribute.
`void` | `setMaxBackoffBetweenFailures(int milliSeconds)` Sets the value of the MaxBackoffBetweenFailures attribute.
`void` | `setMaxConnectedClients(int count)` Sets the value of the MaxConnectedClients attribute.
`void` | `setMaxMessageSize(int maxsize)` Sets the value of the MaxMessageSize attribute.
`void` | `setName(String name)` Sets the value of the Name attribute.
`void` | `setOutboundEnabled(boolean enabled)` Sets the value of the OutboundEnabled attribute.
`void` | `setOutboundPrivateKeyEnabled(boolean enabled)` Sets the value of the OutboundPrivateKeyEnabled attribute.
`void` | `setProtocol(String protocol)` Sets the value of the Protocol attribute.
`void` | `setProxyAddress(String address)` Sets the value of the ProxyAddress attribute.
`void` | `setProxyPort(int port)` Sets the value of the ProxyPort attribute.
`void` | `setPublicAddress(String address)` Sets the value of the PublicAddress attribute.
`void` | `setPublicPort(int port)` Sets the value of the PublicPort attribute.
`void` | `setSSLListenPort(int port)` Sets the value of the SLListenPort attribute.
`void` | `setTimeoutConnectionWithPendingResponses(boolean timeout)` Sets the value of the TimeoutConnectionWithPendingResponses attribute.
`void` | `setTunnelingClientPingSecs(int secs)` Sets the value of the TunnelingClientPingSecs attribute.
`void` | `setTunnelingClientTimeoutSecs(int secs)` Sets the value of the TunnelingClientTimeoutSecs attribute.
`void` | `setTunnelingEnabled(boolean enabled)` Sets the value of the TunnelingEnabled attribute.
`void` | `setTwoWaySSLEnabled(boolean enabled)` Sets the value of the TwoWaySSLEnabled attribute.
`void` | `setUseFastSerialization(boolean enabled)` Sets the value of the UseFastSerialization attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getAcceptBacklog

    public int getAcceptBacklog()

  The number of backlogged, new TCP connection requests that this network channel allows. A value of `-1` indicates that the network channel obtains its backlog configuration from the server's configuration.

  Returns:
    The acceptBacklog value
  See Also:
    `ServerMBean.getAcceptBacklog()`
  Minimum value:
    0
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getChannelWeight

    public int getChannelWeight()

  A weight to give this channel when creating server-to-server connections.

  Returns:
    The channelWeight value
  Default value:
    50
  Minimum value:
    1
  Maximum value:
    100
  A dynamic MBean attribute.

### getClusterAddress

    public String getClusterAddress()

  The address this network channel uses to generate EJB handles and failover addresses for use in a cluster. This value is determined according to the following order of precedence:

  1. If the cluster address is specified via the the NAPMBean, then that value is used
  2. If this value is not specified, the value of PublicAddress is used.
  3. If PublicAddress is not set, this value is derive from the ClusterAddress attribute of the ClusterMbean.
  4. If ClusterMbean.clusterAddress is not set, this value is derive from the listen address of the NAPMbean.

  Returns:
    The clusterAddress value
  See Also:
    `getPublicAddress()`, `ClusterMBean.getClusterAddress()`
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getCompleteMessageTimeout

    public int getCompleteMessageTimeout()

  The maximum amount of time this network channel waits for a complete message to be received. A value of `0` disables network channel complete message timeout. A value of `-1` indicates that the network channel obtains this timeout value from the ServerMBean.

  This timeout helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending.

  Returns:
    The completeMessageTimeout value
  Minimum value:
    0
  Maximum value:
    480
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getConnectTimeout

    public int getConnectTimeout()

  The amount of time that this network channel should wait to establish an outbound socket connection before timing out. A value of `0` disables network channel connect timeout.

  Returns:
    The connectTimeout value
  Default value:
    0
  Minimum value:
    0
  Maximum value:
    240
  A dynamic MBean attribute.

### getCustomPrivateKeyAlias

    public String getCustomPrivateKeyAlias()

  The string alias used to store and retrieve the channel's private key in the keystore. This private key is associated with the server's digital certificate. A value of `null` indicates that the network channel uses the alias specified in the server's SSL configuration.

  Returns:
    The CustomPrivateKeyAlias value
  See Also:
    `SSLMBean.getServerPrivateKeyAlias()`
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getCustomPrivateKeyPassPhrase

    public String getCustomPrivateKeyPassPhrase()

  The passphrase used to retrieve the server's private key from the keystore. This passphrase is assigned to the private key when it is generated. A value of `null` indicates that the network channel uses the pass phrase specified in the server's SSL configuration.

  Returns:
    The CustomPrivateKeyPassPhrase value
  See Also:
    `SSLMBean.getServerPrivateKeyPassPhrase()`
  Default value:
    null
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getCustomPrivateKeyPassPhraseEncrypted

    public byte[] getCustomPrivateKeyPassPhraseEncrypted()

  The encrypted form of passphrase used to retrieve the server's private key from the keystore.

### getIdleConnectionTimeout

    public int getIdleConnectionTimeout()

  The maximum amount of time (in seconds) that a connection is allowed to be idle before it is closed by this network channel. A value of `-1` indicates that the network channel obtains this timeout value from the ServerMBean.

  This timeout helps guard against server deadlock through too many open connections.

  Returns:
    The idleConnectionTimeout value
  Minimum value:
    0
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getListenAddress

    public String getListenAddress()

  The IP address or DNS name this network channel uses to listen for incoming connections. A value of `null` indicates that the network channel should obtain this value from the server's configuration.

  Returns:
    The listenAddress value
  See Also:
    `ServerMBean.getListenAddress()`

### getListenPort

    public int getListenPort()

  The default TCP port this network channel uses to listen for regular (non-SSL) incoming connections. A value of `-1` indicates that the network channel should obtain this value from the server's configuration.

  Returns:
    The listenPort value
  See Also:
    `ServerMBean.getListenPort()`

### getLoginTimeoutMillis

    public int getLoginTimeoutMillis()

  The amount of time that this network channel should wait for a connection before timing out. A value of `0` disables network channel login timeout. A value of `-1` indicates that the network channel obtains this timeout value from the server's configuration.

  Returns:
    The loginTimeoutMillis value
  See Also:
    `ServerMBean.getLoginTimeoutMillis()`
  Minimum value:
    0
  Maximum value:
    100000
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getMaxBackoffBetweenFailures

    public int getMaxBackoffBetweenFailures()

  The maximum back off time between failures while accepting client connections. -1 implies that this value is inherited from the server.

  Minimum value:
    0
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getMaxConnectedClients

    public int getMaxConnectedClients()

  The maximum number of clients that can be connected on this network channel.

  Returns:
    The max connected count value
  Default value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### getMaxMessageSize

    public int getMaxMessageSize()

  The maximum message size allowable in a message header.

  This maximum attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests.

  Returns:
    The maxMessageSize value
  Minimum value:
    4096
  Maximum value:
    100000000
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getName

    public String getName()

  The name of this network channel.

  Specified by:
    `getName` in interface `ConfigurationMBean`
  Returns:
    The name value
  Default value:
    ""

### getPrivateKeyAlias

    public String getPrivateKeyAlias()

  The string alias used to store and retrieve the channel's private key in the keystore. This private key is associated with the server's digital certificate. This value is derived from other settings on the channel and cannot be physically set.

  Returns:
    The PrivateKeyAlias value
  See Also:
    `SSLMBean.getServerPrivateKeyAlias()`, `getCustomPrivateKeyAlias()`
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getPrivateKeyPassPhrase

    public String getPrivateKeyPassPhrase()

  The passphrase used to retrieve the server's private key from the keystore. This passphrase is assigned to the private key when it is generated. This value is derived from other settings on the channel and cannot be physically set.

  Returns:
    The PrivateKeyPassPhrase value
  See Also:
    `SSLMBean.getServerPrivateKeyPassPhrase()`, `getCustomPrivateKeyPassPhrase()`
  A dynamic MBean attribute.

### getProtocol

    public String getProtocol()

  The protocol this network channel should use for connections.

  Returns:
    The protocol value
  Default value:
    "t3"

### getProxyAddress

    public String getProxyAddress()

  The IP address or DNS name of the HTTP proxy to use for outbound connections on this channel. The HTTP proxy must support the CONNECT tunneling command.

  This option is only effective when OutboundEnabled is set on the channel.

  Returns:
    The proxyAddress value
  Default value:
    null

### getProxyPort

    public int getProxyPort()

  The port of the HTTP proxy to use for outbound connections on this channel. The HTTP proxy must support the CONNECT tunneling command.

  This option is only effective when OutboundEnabled and ProxyHost are set on the channel.

  Returns:
    The proxyPort value
  Default value:
    80

### getPublicAddress

    public String getPublicAddress()

  The IP address or DNS name representing the external identity of this network channel. A value of `null` indicates that the network channel's Listen Address is also its external address. If the Listen Address is `null,`the network channel obtains its external identity from the server's configuration.

  This is required for the configurations which need to cross a firewall doing Network Address Translation.

  Returns:
    The publicAddress value
  See Also:
    `getExternalDNSName()`, `getListenAddress()`, `ServerMBean.getListenAddress()`
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getPublicPort

    public int getPublicPort()

  The externally published listen port for this network channel. A value of `-1` indicates that the network channel's Listen Port is also its public listen port. If the Listen Port is `-1,`the network channel obtains its public listen port from the server's configuration.

  Returns:
    The publicPort value
  See Also:
    `getListenPort()`, `ServerMBean.getListenPort()`
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getTimeoutConnectionWithPendingResponses

    public boolean getTimeoutConnectionWithPendingResponses()

  Determines if connections with pending responses are allowed to timeout. It defaults to false. If set to true, the connection will be timed out for this channel if it exceeds the idleConnectionTimeout value.

  Note: This setting only applies to IIOP connections.

  Returns:
    Whether or not to timeout connections with pending responses
  Default value:
    false
  A dynamic MBean attribute.

### getTunnelingClientPingSecs

    public int getTunnelingClientPingSecs()

  The interval (in seconds) at which this network channel should ping an HTTP-tunneled client to see if its still alive. A value of `-1` indicates that the network channel obtains this interval from the ServerMBean. (Requires you to enable tunneling for the network channel.)

  Returns:
    The tunnelingClientPingSecs value
  See Also:
    `ServerMBean.getTunnelingClientPingSecs()`, `isTunnelingEnabled()`
  Minimum value:
    1
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getTunnelingClientTimeoutSecs

    public int getTunnelingClientTimeoutSecs()

  The amount of time (in seconds) after which this network channel considers a missing HTTP-tunneled client to be dead. A value of `-1` indicates that the network channel obtains this timeout value from the ServerMBean. (Requires you to enable tunneling for the network channel.)

  Returns:
    The tunnelingClientTimeoutSecs value
  See Also:
    `ServerMBean.getTunnelingClientTimeoutSecs()`, `isTunnelingEnabled()`
  Minimum value:
    1
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getUseFastSerialization

    public boolean getUseFastSerialization()

  Specifies whether to use non-standard object serialization for performance. This option works in different ways for different protocols. In particular under IIOP this option uses Java serialization rather than RMI-IIOP serialization. In general using non-standard serialization is not suitable for interop scenarios and may imply some feature loss.

  Returns:
    The UseFastSerialization value
  A configurable MBean attribute.
  A dynamic MBean attribute.

### isChannelIdentityCustomized

    public boolean isChannelIdentityCustomized()

  Whether or not the channel's custom identity should be used. This setting only has an effect if the server is using a customized keystore. By default the channel's identity is inherited from the server's identity.

  Returns:
    The ChannelIdentityCustomzied value
  See Also:
    `SSLMBean.getServerPrivateKeyAlias()`, `getCustomPrivateKeyAlias()`
  Default value:
    false
  A configurable MBean attribute.
  A dynamic MBean attribute.

### isClientCertificateEnforced

    public boolean isClientCertificateEnforced()

  Specifies whether clients must present digital certificates from a trusted certificate authority to WebLogic Server on this channel.

  Returns:
    The ClientCertificateEnforced value
  Default value:
    false
  A configurable MBean attribute.
  A dynamic MBean attribute.

### isEnabled

    public boolean isEnabled()

  Specifies whether this channel should be started.

  Returns:
    The enabled value
  Default value:
    true
  A dynamic MBean attribute.

### isHttpEnabledForThisProtocol

    public boolean isHttpEnabledForThisProtocol()

  Specifies whether HTTP traffic should be allowed over this network channel.

  HTTP is generally required by binary protocols for downloading stubs and other resources.

  Returns:
    The httpEnabledForThisProtocol value
  Default value:
    true
  A dynamic MBean attribute.

### isOutboundEnabled

    public boolean isOutboundEnabled()

  Specifies whether new server-to-server connections may consider this network channel when initiating a connection. This is only relevant if the connection needs to be bound to the network channel's listen address. This will only work for binary protocols that support both outbound and inbound traffic.

  When this feature is not enabled, connections are initiated using a local address selected by the underlying hardware.

  The default is true for all admin channels and false otherwise.

  Outbound channels are selected at runtime either by virtue of the fact of being the only outbound-enabled channel for the required protocol, or by name in `weblogic.jndi.Environment#setProviderChannel`.

  Returns:
    The OutboundEnabled value
  See Also:
    Environment.html#setProviderChannel
  A configurable MBean attribute.
  A dynamic MBean attribute.

### isOutboundPrivateKeyEnabled

    public boolean isOutboundPrivateKeyEnabled()

  Specifies whether the identity specifed by `getCustomPrivateKeyAlias()` should be used for outbound SSL connections on this channel. In normal circumstances the outbound identity is determined by the caller's environment.

  Returns:
    The OutboundPrivateKeyEnabled value
  A configurable MBean attribute.
  A dynamic MBean attribute.

### isTunnelingEnabled

    public boolean isTunnelingEnabled()

  Specifies whether tunneling via HTTP should be enabled for this network channel. This value is not inherited from the server's configuration.

  Returns:
    The tunnelingEnabled value
  Default value:
    false
  A dynamic MBean attribute.

### isTwoWaySSLEnabled

    public boolean isTwoWaySSLEnabled()

  Specifies whether this network channel uses two way SSL.

  Returns:
    The TwoWaySSLEnabled value
  Default value:
    false
  A configurable MBean attribute.
  A dynamic MBean attribute.

### setAcceptBacklog

    public void setAcceptBacklog(int count)
                          throws InvalidAttributeValueException

  Sets the value of the AcceptBacklog attribute.

  Parameters:
    `count` - The new acceptBacklog value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getAcceptBacklog()`

### setChannelIdentityCustomized

    public void setChannelIdentityCustomized(boolean val)

  Sets the value of the ChannelIdentityCustomized attribute.

  Parameters:
    `val` - The new ChannelIdentityCustomzied value
  See Also:
    `isChannelIdentityCustomized()`

### setChannelWeight

    public void setChannelWeight(int weight)
                          throws InvalidAttributeValueException

  Sets the value of the ChannelWeight attribute.

  Parameters:
    `weight` - The new channelWeight value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getChannelWeight()`

### setClientCertificateEnforced

    public void setClientCertificateEnforced(boolean enforce)

  Sets the value of the ClientCertificateEnabled attribute.

  Parameters:
    `enforce` - The new ClientCertificateEnforced value
  See Also:
    `isClientCertificateEnforced()`

### setClusterAddress

    public void setClusterAddress(String address)
                           throws InvalidAttributeValueException

  Sets the value of the ClusterAddress attribute.

  Parameters:
    `address` - The new clusterAddress value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getClusterAddress()`

### setCompleteCOMMessageTimeout

    public void setCompleteCOMMessageTimeout(int seconds)
                                      throws InvalidAttributeValueException,
                                             weblogic.management.DistributedManagementException

  Sets the value of the CompleteCOMMessageTimeout attribute.

  Parameters:
    `seconds` - The new completeCOMMessageTimeout value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getCompleteCOMMessageTimeout()`

### setCompleteHTTPMessageTimeout

    public void setCompleteHTTPMessageTimeout(int seconds)
                                       throws InvalidAttributeValueException,
                                              weblogic.management.DistributedManagementException

  Sets the value of the CompleteHTTPMessageTimeout attribute.

  Parameters:
    `seconds` - The new completeHTTPMessageTimeout value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getCompleteHTTPMessageTimeout()`

### setCompleteIIOPMessageTimeout

    public void setCompleteIIOPMessageTimeout(int seconds)
                                       throws InvalidAttributeValueException,
                                              weblogic.management.DistributedManagementException

  Sets the value of the CompleteIIOPMessageTimeout attribute.

  Parameters:
    `seconds` - The new completeIIOPMessageTimeout value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getCompleteIIOPMessageTimeout()`

### setCompleteMessageTimeout

    public void setCompleteMessageTimeout(int seconds)
                                   throws InvalidAttributeValueException,
                                          weblogic.management.DistributedManagementException

  Sets the value of the CompleteMessageTimeout attribute.

  Parameters:
    `seconds` - The new completeMessageTimeout value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getCompleteMessageTimeout()`

### setCompleteT3MessageTimeout

    public void setCompleteT3MessageTimeout(int seconds)
                                     throws InvalidAttributeValueException,
                                            weblogic.management.DistributedManagementException

  Sets the value of the CompleteT3MessageTimeout attribute.

  Parameters:
    `seconds` - The new completeT3MessageTimeout value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getCompleteT3MessageTimeout()`

### setConnectTimeout

    public void setConnectTimeout(int timeout)
                           throws InvalidAttributeValueException,
                                  weblogic.management.DistributedManagementException

  Sets the value of the ConnectTimeout attribute.

  Parameters:
    `timeout` - The new connectTimeout value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`

### setCustomPrivateKeyAlias

    public void setCustomPrivateKeyAlias(String alias)

  Sets the value of the PrivateKeyAlias attribute.

  Parameters:
    `alias` - The new PrivateKeyAlias value
  See Also:
    `getCustomPrivateKeyAlias()`

### setCustomPrivateKeyPassPhrase

    public void setCustomPrivateKeyPassPhrase(String phrase)

  Sets the value of the PrivateKeyPassPhrase attribute.

  Parameters:
    `phrase` - The new PrivateKeyPassPhrase value
  See Also:
    `getCustomPrivateKeyPassPhrase()`

### setCustomPrivateKeyPassPhraseEncrypted

    public void setCustomPrivateKeyPassPhraseEncrypted(byte[] passwordEncrypted)

  Sets the encrypted value of the PrivateKeyPassPhrase attribute.

  Parameters:
    `passwordEncrypted` -

### setEnabled

    public void setEnabled(boolean enabled)
                    throws InvalidAttributeValueException

  Sets the value of the Enabled attribute.

  Parameters:
    `enabled` - The new enabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isEnabled()`

### setExternalDNSName

    public void setExternalDNSName(String externalDNSName)
                            throws InvalidAttributeValueException

  Sets the value of the ExternalDNSName attribute.

  Parameters:
    `externalDNSName` - The new externalDNSName value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getExternalDNSName()`

### setHttpEnabledForThisProtocol

    public void setHttpEnabledForThisProtocol(boolean enabled)
                                       throws InvalidAttributeValueException

  Sets the value of the HttpEnabledForThisProtocol attribute.

  Parameters:
    `enabled` - The new httpEnabledForThisProtocol value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isHttpEnabledForThisProtocol()`

### setIdleConnectionTimeout

    public void setIdleConnectionTimeout(int seconds)
                                  throws InvalidAttributeValueException,
                                         weblogic.management.DistributedManagementException

  Sets the value of the IdleConnectionTimeout attribute.

  Parameters:
    `seconds` - The new idleConnectionTimeout value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getIdleConnectionTimeout()`

### setIdleIIOPConnectionTimeout

    public void setIdleIIOPConnectionTimeout(int seconds)
                                      throws InvalidAttributeValueException,
                                             weblogic.management.DistributedManagementException

  Sets the value of the IdleIIOPConnectionTimeout attribute.

  Parameters:
    `seconds` - The new idleIIOPConnectionTimeout value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getIdleIIOPConnectionTimeout()`

### setListenAddress

    public void setListenAddress(String address)
                          throws InvalidAttributeValueException

  Sets the value of the ListenAddress attribute.

  Parameters:
    `address` - The new listenAddress value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getListenAddress()`
  A dynamic MBean attribute.
    false

### setListenPort

    public void setListenPort(int port)
                       throws InvalidAttributeValueException

  Sets the value of the ListenPort attribute.

  Parameters:
    `port` - The new listenPort value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getListenPort()`
  A dynamic MBean attribute.
    false

### setLoginTimeoutMillis

    public void setLoginTimeoutMillis(int timeout)
                               throws InvalidAttributeValueException,
                                      weblogic.management.DistributedManagementException

  Sets the value of the LoginTimeoutMillis attribute.

  Parameters:
    `timeout` - The new loginTimeoutMillis value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`

### setLoginTimeoutMillisSSL

    public void setLoginTimeoutMillisSSL(int millis)
                                  throws InvalidAttributeValueException

  Sets the value of the LoginTimeoutMillisSSL attribute.

  Parameters:
    `millis` - The new loginTimeoutMillisSSL value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getLoginTimeoutMillisSSL()`

### setMaxBackoffBetweenFailures

    public void setMaxBackoffBetweenFailures(int milliSeconds)
                                      throws InvalidAttributeValueException

  Sets the value of the MaxBackoffBetweenFailures attribute.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMaxBackoffBetweenFailures()`

### setMaxConnectedClients

    public void setMaxConnectedClients(int count)
                                throws InvalidAttributeValueException

  Sets the value of the MaxConnectedClients attribute.

  Parameters:
    `count` - The new count value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMaxConnectedClients()`

### setMaxMessageSize

    public void setMaxMessageSize(int maxsize)
                           throws InvalidAttributeValueException,
                                  weblogic.management.DistributedManagementException

  Sets the value of the MaxMessageSize attribute.

  Parameters:
    `maxsize` - The new maxMessageSize value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getMaxMessageSize()`

### setName

    public void setName(String name)
                 throws InvalidAttributeValueException

  Sets the value of the Name attribute.

  Specified by:
    `setName` in interface `ConfigurationMBean`
  Parameters:
    `name` - The new name value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getName()`
  A dynamic MBean attribute.
    false

### setOutboundEnabled

    public void setOutboundEnabled(boolean enabled)
                            throws InvalidAttributeValueException

  Sets the value of the OutboundEnabled attribute.

  Parameters:
    `enabled` - The new outboundEnabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isOutboundEnabled()`

### setOutboundPrivateKeyEnabled

    public void setOutboundPrivateKeyEnabled(boolean enabled)
                                      throws InvalidAttributeValueException

  Sets the value of the OutboundPrivateKeyEnabled attribute.

  Parameters:
    `enabled` - The new outboundEnabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isOutboundEnabled()`

### setProtocol

    public void setProtocol(String protocol)
                     throws InvalidAttributeValueException

  Sets the value of the Protocol attribute.

  Parameters:
    `protocol` - The new protocol value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getProtocol()`
  A dynamic MBean attribute.
    false

### setProxyAddress

    public void setProxyAddress(String address)
                         throws InvalidAttributeValueException

  Sets the value of the ProxyAddress attribute.

  Parameters:
    `address` - The new proxyAddress value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getProxyAddress()`
  A dynamic MBean attribute.

### setProxyPort

    public void setProxyPort(int port)
                      throws InvalidAttributeValueException

  Sets the value of the ProxyPort attribute.

  Parameters:
    `port` - The new proxyPort value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getProxyPort()`
  A dynamic MBean attribute.

### setPublicAddress

    public void setPublicAddress(String address)
                          throws InvalidAttributeValueException

  Sets the value of the PublicAddress attribute.

  Parameters:
    `address` - The new publicAddress value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getPublicAddress()`

### setPublicPort

    public void setPublicPort(int port)
                       throws InvalidAttributeValueException

  Sets the value of the PublicPort attribute.

  Parameters:
    `port` - The new publicPort value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getPublicPort()`

### setSSLListenPort

    public void setSSLListenPort(int port)
                          throws InvalidAttributeValueException

  Sets the value of the SLListenPort attribute.

  Parameters:
    `port` - The new sSLListenPort value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getSSLListenPort()`

### setTimeoutConnectionWithPendingResponses

    public void setTimeoutConnectionWithPendingResponses(boolean timeout)
                                                  throws InvalidAttributeValueException,
                                                         weblogic.management.DistributedManagementException

  Sets the value of the TimeoutConnectionWithPendingResponses attribute.

  Parameters:
    `timeout` - Whether or not to timeout connections with pending responses
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getTimeoutConnectionWithPendingResponses()`

### setTunnelingClientPingSecs

    public void setTunnelingClientPingSecs(int secs)
                                    throws InvalidAttributeValueException

  Sets the value of the TunnelingClientPingSecs attribute.

  Parameters:
    `secs` - The new tunnelingClientPingSecs value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTunnelingClientPingSecs()`

### setTunnelingClientTimeoutSecs

    public void setTunnelingClientTimeoutSecs(int secs)
                                       throws InvalidAttributeValueException

  Sets the value of the TunnelingClientTimeoutSecs attribute.

  Parameters:
    `secs` - The new tunnelingClientTimeoutSecs value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTunnelingClientTimeoutSecs()`

### setTunnelingEnabled

    public void setTunnelingEnabled(boolean enabled)
                             throws InvalidAttributeValueException

  Sets the value of the TunnelingEnabled attribute.

  Parameters:
    `enabled` - The new tunnelingEnabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isTunnelingEnabled()`

### setTwoWaySSLEnabled

    public void setTwoWaySSLEnabled(boolean enabled)

  Sets the value of the TwoWaySSLEnabled attribute.

  Parameters:
    `enabled` - The new twoWaySSLEnabled value
  See Also:
    `isTwoWaySSLEnabled()`

### setUseFastSerialization

    public void setUseFastSerialization(boolean enabled)
                                 throws InvalidAttributeValueException

  Sets the value of the UseFastSerialization attribute.

  Parameters:
    `enabled` - The new UseFastSerialization value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getUseFastSerialization()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD